Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.api.sequencer
Interface Sequencer.Context

All Known Implementing Classes:
  Sequencers.SequencingContext

Enclosing class:
  Sequencer

    public static interface Sequencer.Context

The sequencer context represents the complete context of a sequencer invocation. Currently, this information includes the current time of sequencer execution.

Method Summary
`Calendar` | `getTimestamp()` Get the timestamp of the sequencing.
`MimeTypeDetector` | `mimeTypeDetector()` Returns a `MimeTypeDetector` implementation which can be used to determine content mime-type.
`ValueFactory` | `valueFactory()` Returns a `ValueFactory` instance which can be used to perform additional type conversions, from what `ValueFactory` offers

Method Detail

### getTimestamp

    Calendar getTimestamp()

  Get the timestamp of the sequencing. This is always the timestamp of the change event that is being processed.

  Returns:
    timestamp the "current" timestamp; never null

### valueFactory

    ValueFactory valueFactory()

  Returns a `ValueFactory` instance which can be used to perform additional type conversions, from what `ValueFactory` offers

  Returns:
    a non-null value factory, using the output node's session as context

### mimeTypeDetector

    MimeTypeDetector mimeTypeDetector()

  Returns a `MimeTypeDetector` implementation which can be used to determine content mime-type.

  Returns:
    a non-null value, using the output node's session as context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.